### Constructor

# ECal Component new_vtype

since: 3.34

#### Declaration [src]

    ECalComponent*
    e_cal_component_new_vtype (
      ECalComponentVType vtype
    )

#### Description [src]

Creates a new `ECalComponent` of type `vtype`.

Available since: 3.34

#### Parameters

`vtype`

  Type: `ECalComponentVType`

  An `ECalComponentVType`.

#### Return value

Type: `ECalComponent`

A newly-created calendar component object with set `vtype`.

The caller of the function takes ownership of the data, and is responsible for freeing it.